Is it a common problem for the view of a drawing in Civil 3D to be thrown out of whack? By this I mean when opening a drawing or after switching from a plot tab to model space the view is no longer from above as if looking down on a sheet but sideways as if looking at it from eye level with the table it sits on.
I wrote a fast key to correct the view problem and it is this:
Code:
(defun C:gg () (setvar "CMDECHO" 0)(command ".plan" "c")(prin1))
This fixes the problem by putting it back into a view from current UCS but I was wondering if I could go one step further and throw it into a view that I have already set up for plotting. So essentially, what I would like to happen is I enter the "gg" command and all that would be viewed on the screen is the sheet with borders (our borders are in model space), or the extents of what is plotted on a sheet.
Does this involve any LISP programming? I have no background knowledge of how to write LISP but I could probably pick up what's necessary to do the job. Please, any help is greatly appreciated!